<?php
/**
 * CSS Properties
 *
 * @author 		WaspThemes
 * @category 	Options
 * @version     1.0
 */

// Don't run this file directly.
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/* ---------------------------------------------------- */
/* All CSS Options and settings							*/
/* ---------------------------------------------------- */
echo "<ul class='editor-panel-list list-active'>
		
		<li class='text-option'>
		
			<h3>متن</h3>
			<div class='yp-this-content'>

				".yp_get_select_markup(
					'font-family',
					'خانواده فونت',
					"google-fonts.json",
					"",
					'به عنوان خانواده فونت انتخاب نمایید.'
				)."

				<div class='option-group-class'>
				".yp_get_color_markup(
					'color',
					'رنگ متن',
					'رنگ متن را انتخاب نمایید'
				)."
							
				".yp_get_select_markup(
					'font-weight',
					'وزن فونت',
					array(
						'300' => 'لایت'.' 300',
						'400' => 'نرمال'.' 400',
						'500' => 'نیمه بولد'.' 500',
						'600' => 'بولد'.' 600',
						'700' => 'خیلی بولد'.' 700'
					),
					"",
					'وزن فونت را ازنظر ضخیم بودن و نازک بودن انتخاب نمایید.'
				)."
				</div>

				".yp_get_slider_markup(
					'font-size',
					'اندازه فونت',
					"",
					1,        // steps
					'8,100',   // px value
					'0,100',  // percentage value
					'1,6',     // Em value
					'اندازه فونت را تنظیم کنید.'
				)."
				
				".yp_get_slider_markup(
					'line-height',
					'ارتفاع خط',
					"",
					0.1,        // steps
					'0,100',   // px value
					'0,100',  // percentage value
					'1,6',     // Em value,
					'ارتفاع را تنظیم نمایید'
				)."
				
				<div class='option-group-class option-group-less'>
				".yp_get_radio_markup(
					'font-style',
					'استایل فونت',
					array(
						'normal' => 'نرمال',
						'italic' => 'کج'
					),
					"",
					'استایل فونت را برای متن مشخص نمایید.'
				)."
				
				".yp_get_radio_markup(
					'text-transform',
					'بزرگی و کوچکی حروف',
					array(
						'none' => 'no',
						'capitalize' => 'Aa',
						'uppercase' => 'AA',
						'lowercase' => 'aa',
					),
					"",
					'کوچکی و بزرگی حروف را چک می کند.'					
				)."
				</div>

				<div class='option-group-class option-group-less'>
				".yp_get_radio_markup(
					'text-decoration',
					'متن زیرخط دار',
					array(
						'none' => 'A',
						'overline' => 'A',
						'line-through' => 'A',
						'underline' => 'A'
					),
					"",
					'مشخص کنید که خط به زیر متن اضافه شود یا نه'
				)."

				".yp_get_radio_markup(
					'text-align',
					'جهت گیری متن',
					array(
						'left' => '<span class="dashicons dashicons-editor-alignleft"></span>',
						'center' => '<span class="dashicons dashicons-editor-aligncenter"></span>',
						'right' => '<span class="dashicons dashicons-editor-alignright"></span>',
						'justify' => '<span class="dashicons dashicons-editor-justify"></span>'
					),
					"",
					'جهت گیری افقی متن در المان را مشخص نمایید.'
				)."
				</div>
				
				".yp_get_select_markup(
					'text-shadow',
					'سایه متن ',
					array(
						'none' => 'ساده',
						'rgba(0, 0, 0, 0.3) 0px 1px 1px' => 'سایه ابتدایی',
						'rgb(255, 255, 255) 1px 1px 0px, rgb(170, 170, 170) 2px 2px 0px' => 'سایه چندگانه',
						'rgb(255, 0, 0) -1px 0px 0px, rgb(0, 255, 255) 1px 0px 0px' => 'Anaglyph',
						'rgb(255, 255, 255) 0px 1px 1px, rgb(0, 0, 0) 0px -1px 1px' => 'Emboss',
						'rgb(255, 255, 255) 0px 0px 2px, rgb(255, 255, 255) 0px 0px 4px, rgb(255, 255, 255) 0px 0px 6px, rgb(255, 119, 255) 0px 0px 8px, rgb(255, 0, 255) 0px 0px 12px, rgb(255, 0, 255) 0px 0px 16px, rgb(255, 0, 255) 0px 0px 20px, rgb(255, 0, 255) 0px 0px 24px' => 'Neon',
						'rgb(0, 0, 0) 0px 1px 1px, rgb(0, 0, 0) 0px -1px 1px, rgb(0, 0, 0) 1px 0px 1px, rgb(0, 0, 0) -1px 0px 1px' => 'Outline'
					),
					"",
					'سایه متن را انتخاب نمایید.'
				)."

				
				".yp_get_slider_markup(
					'letter-spacing',
					'فاصله بین حروف',
					"normal",
					0.1,        // steps
					'-5,10',   // px value
					'0,100',  // percentage value
					'-1,3',     // Em value
					'فاصله بین حروف در متن را کاهش یا افزایش دهید.'
				)."
				
				".yp_get_slider_markup(
					'word-spacing',
					'فاصله بین کلمات',
					"normal",
					0.1,        // steps
					'-5,20',   // px value
					'0,100',  // percentage value
					'-1,3',     // Em value,
					'فضای خالی بین کلمات را کاهش یا افزایش دهید.'
				)."				

				".yp_get_slider_markup(
					'text-indent',
					'تورفتگی متن',
					'',
					1,        // steps
					'-50,50',   // px value
					'-100,100',  // percentage value
					'-15,15',     // Em value
					'در بلاک متن تورفتگی خط اول را مشخص نمایید.'
				)."

				".yp_get_radio_markup(
					'word-wrap',
					'دربرگیرنده متن',
					array(
						'normal' => 'نرمال',
						'break-word' => 'شکستن کلمات'
					),
					"",
					'اجازه می دهد تا خط طولانی شکسته شود وبه خط بعدی بیفتد.'
				)."
				
			</div>
		</li>
		
		<li class='background-option'>
			<h3>پسزمینه</h3>
			<div class='yp-this-content'>
				
				".yp_get_color_markup(
					'background-color',
					'رنگ پسزمینه',
					'رنگ پسزمینه یک المان را مشخص می کند.'
				)."
				
				".yp_get_input_markup(
					'background-image',
					'تصویر پسزمینه',
					'تصویر پسزمینه برای یک المان را مشخص می کند.'
				)."

				".yp_get_radio_markup(
					'background-size',
					'اندازه پسزمینه',
					array(
						'auto' => 'سفارشی',
						'cover' => 'کاور',
						'contain' => 'دربرگیرنده'
					),
					"",
					'اندازه تصویر پسزمینه را مشخص می کند'
				)."

				<div class='option-group-class'>
				".yp_get_select_markup(
					'background-blend-mode',
					'حالت ترکیبی',
					array(
						'normal' => 'normal',
						'multiply' => 'multiply',
						'screen' => 'screen',
						'overlay' => 'overlay',
						'darken' => 'darken',
						'lighten' => 'lighten',
						'color-dodge' => 'color-dodge',
						'saturation' => 'saturation',
						'color' => 'color',
						'luminosity' => 'luminosity'
					),
					"",
					'ترکیب رنک و تصویر برای پسزمینه را مشخص می کند.'
				)."

				".yp_get_radio_markup(
					'background-attachment',
					'ضمیمه پسزمینه',
					array(
						'scroll' => 'اسکرول',
						'fixed' => 'ثایت',
					),
					"",
					'تنظیم کنید که تصویر پسزمینه باید ثابت باشد یا اینکه به همراه رست اسکرول پیدا کند'
				)."	

				</div>

				".yp_get_slider_markup(
					'background-position-x',
					'موقعیت افقی پسزمینه',
					"",
					1,        // steps
					'0,200',   // px value
					'0,100',  // percentage value
					'0,26',     // Em value,
					'موقعیت افقی شروع تصویر پسزمینه را تعیین می کند'
				)."

				".yp_get_slider_markup(
					'background-position-y',
					'موقعیت عمودی پسزمینه',
					"",
					1,        // steps
					'0,200',   // px value
					'0,100',  // percentage value
					'0,26',     // Em value,
					'موقعیت عمودی شروع تصویر پسزمینه را مشخص می کند.'
				)."

				".yp_get_radio_markup(
					'background-repeat',
					'تکرار پسزمینه',
					array(
						'repeat' => '<svg focusable="false" width="16" height="16" viewBox="0 0 16 16"><path fill="currentColor" d="M1 1h4v4H1zm5 0h4v4H6zm5 0h4v4h-4zM1 6h4v4H1zm5 0h4v4H6zm5 0h4v4h-4zM1 11h4v4H1zm5 0h4v4H6zm5 0h4v4h-4z"></path></svg>',
						'repeat-x' => '<svg focusable="false" width="16" height="16" viewBox="0 0 16 16"><path fill="currentColor" d="M1 6h4v4H1zm5 0h4v4H6zm5 0h4v4h-4z"></path></svg>',
						'repeat-y' => '<svg focusable="false" width="16" height="16" viewBox="0 0 16 16"><path fill="currentColor" d="M6 1h4v4H6zm0 5h4v4H6zm0 5h4v4H6z"></path></svg>',
						'no-repeat' => '<span class="dashicons dashicons-no-alt"></span>'
					),
					"",
					'درصورتی که پسزمینه قرار است تکرار شود انتخاب نمایید.'
				)."	

				".yp_get_radio_markup(
					'background-clip',
					'کلیپ پسزمینه',
					array(
						'text' => 'متن',
						'border-box' => 'حاشیه',
						'padding-box' => 'پدینگ'
					),
					"",
					"مشخص می نماید که پسزمینه جقدر باید با عنصر همراه باشد."
				)."

			</div>
		</li>
		
		<li class='margin-option'>
			<h3>مارجین</h3>
			<div class='yp-this-content'>

				<div class='lock-btn'></div>

				".yp_get_slider_markup(
					'margin-left',
					'مارجین چپ',
					"auto",
					1,        // steps
					'-50,200',   // px value
					'-100,100',  // percentage value
					'-6,26',     // Em value,
					'مارجین چپ المان را مشخص کنید'
				)."
				
				".yp_get_slider_markup(
					'margin-right',
					'ماجین راست',
					"auto",
					1,        // steps
					'-50,200',   // px value
					'-100,100',  // percentage value
					'-6,26',     // Em value
					'ماجین راست'
				)."

				".yp_get_slider_markup(
					'margin-top',
					'مارجین بالا',
					'',
					1,        // steps
					'-50,200',   // px value
					'-100,100',  // percentage value
					'-6,26',     // Em value
					'مارجین بالا'
				)."
				
				".yp_get_slider_markup(
					'margin-bottom',
					'مارجین پایین',
					'',
					1,        // steps
					'-50,200',   // px value
					'-100,100',  // percentage value
					'-6,26',     // Em value
					'مارجین پایین'
				)."
				
			</div>
		</li>
		
		<li class='padding-option'>
			<h3>پدینگ</h3>
			<div class='yp-this-content'>
				
				<div class='lock-btn'></div>

				".yp_get_slider_markup(
					'padding-left',
					'پدینگ چپ',
					'',
					1,        // steps
					'0,200',   // px value
					'0,100',  // percentage value
					'0,26',     // Em value
					'پدینگ چپ'
				)."

				".yp_get_slider_markup(
					'padding-right',
					'پدینگ راست',
					'',
					1,        // steps
					'0,200',   // px value
					'0,100',  // percentage value
					'0,26',     // Em value
					'پدینگ راست'
				)."

				".yp_get_slider_markup(
					'padding-top',
					'پدینگ بالا',
					'',
					1,        // steps
					'0,200',   // px value
					'0,100',  // percentage value
					'0,26',     // Em value
					'پدینگ بالا'
				)."

				".yp_get_slider_markup(
					'padding-bottom',
					'پدینگ پایین',
					'',
					1,        // steps
					'0,200',   // px value
					'0,100',  // percentage value
					'0,26',     // Em value
					'پدینگ پایین'
				)."

			</div>
		</li>

		
		<li class='border-option'>
			<h3>حاشیه</h3>
			<div class='yp-this-content'>

				".yp_get_radio_markup(
					'border-type',
					'نوع حاشیه',
					array(
						'all' => 'همه',
						'top' => 'بالا',
						'right' => 'راست',
						'bottom' => 'پایین',
						'left' => 'چپ'
					),
					"",
					'نوع حاشیه ای که می خواهید تنظیم کنید را مشخص نمایید.'
				)."
				
				<div class='yp-border-all-section'>

					<div class='option-group-class'>
					".yp_get_color_markup(
						'border-color',
						'رنگ',
						'رنگ حاشیه برای المان را تعیین کنید.'
					)."

					".yp_get_radio_markup(
						'border-style',
						'استایل حاشیه',
						array(
							'none' => '<span class="dashicons dashicons-no-alt"></span>',
							'solid' => '',
							'dotted' => '',
							'dashed' => ''
						),
						"",
						'استایل حاشیه برای المان را مشخص نمایید.'
					)."
					</div>
					
					".yp_get_slider_markup(
						'border-width',
						'پهنا',
						'',
						1,        // steps
						'0,20',   // px value
						'0,100',  // percentage value
						'0,3',     // Em value
						'پهنا را برای هر4 نوع حاشیه مشخص نمایید.'
					)."

				</div>
				
				<div class='yp-border-top-section'>

					<div class='option-group-class'>
					".yp_get_color_markup(
						'border-top-color',
						'رنگ حاشیه بالا',
						'رنگ حاشیه بالا'
					)."
					
					".yp_get_radio_markup(
						'border-top-style',
						'استایل حاشیه بالا',
						array(
							'none' => '<span class="dashicons dashicons-no-alt"></span>',
							'solid' => '',
							'dotted' => '',
							'dashed' => ''
						),
						"",
						'استایل حاشیه بالا'
					)."
					</div>
					
					".yp_get_slider_markup(
						'border-top-width',
						'پهنای حاشیه بالا',
						'',
						1,        // steps
						'0,20',   // px value
						'0,100',  // percentage value
						'0,3',     // Em value
						'پهنای حاشیه بالا'
					)."

				</div>
				
				<div class='yp-border-right-section'>

					<div class='option-group-class'>
					".yp_get_color_markup(
						'border-right-color',
						'رنگ حاشیه راست',
						'رنگ حاشیه راست'
					)."

					".yp_get_radio_markup(
						'border-right-style',
						'استایل حاشیه راست',
						array(
							'none' => '<span class="dashicons dashicons-no-alt"></span>',
							'solid' => '',
							'dotted' => '',
							'dashed' => ''
						),
						"",
						'استایل حاشیه راست'
					)."
					</div>
					
					".yp_get_slider_markup(
						'border-right-width',
						'پهنای حاشیه راست',
						'',
						1,        // steps
						'0,20',   // px value
						'0,100',  // percentage value
						'0,3',     // Em value
						'پهنای حاشیه راست'
					)."

				</div>
				
				
				<div class='yp-border-bottom-section'>
					
					<div class='option-group-class'>
					".yp_get_color_markup(
						'border-bottom-color',
						'رنک حاشیه پایین',
						'رنک حاشیه پایین'
					)."

					".yp_get_radio_markup(
						'border-bottom-style',
						'استایل حاشیه پایین',
						array(
							'none' => '<span class="dashicons dashicons-no-alt"></span>',
							'solid' => '',
							'dotted' => '',
							'dashed' => ''
						),
						"",
						'استایل حاشیه پایین'
					)."
					</div>
					
					".yp_get_slider_markup(
						'border-bottom-width',
						'پهنا حاشیه پایین',
						'',
						1,        // steps
						'0,20',   // px value
						'0,100',  // percentage value
						'0,3',     // Em value
						'پهنا حاشیه پایین'
					)."

				</div>
				
				
				<div class='yp-border-left-section'>

					<div class='option-group-class'>
					".yp_get_color_markup(
						'border-left-color',
						'رنک حاشیه چپ',
						'رنک حاشیه چپ'
					)."

					".yp_get_radio_markup(
						'border-left-style',
						'استایل حاشیه چپ',
						array(
							'none' => '<span class="dashicons dashicons-no-alt"></span>',
							'solid' => '',
							'dotted' => '',
							'dashed' => ''
						),
						"",
						'استایل حاشیه چپ'
					)."
					</div>
					
					".yp_get_slider_markup(
						'border-left-width',
						'پهنای حاشیه چپ',
						'',
						1,        // steps
						'0,20',   // px value
						'0,100',  // percentage value
						'0,3',     // Em value
						'پهنای حاشیه چپ'
					)."
				
				</div>
				
			</div>
		</li>
		
		<li class='border-radius-option'>
			<h3>گردی حاشیه </h3>
			<div class='yp-this-content'>
				
				<div class='lock-btn'></div>
				".yp_get_slider_markup(
					'border-top-left-radius',
					'گردی حاشیه  بالا چپ',
					'',
					"1",        // steps
					'0,50',   // px value
					'0,50',  // percentage value
					'0,6',     // Em value
					'گردی حاشیه  بالا چپ'
				)."
				
				".yp_get_slider_markup(
					'border-top-right-radius',
					'گردی حاشیه بالا -راست',
					'',
					"1",        // steps
					'0,50',   // px value
					'0,50',  // percentage value
					'0,6',     // Em value
					'گردی حاشیه بالا -راست'
				)."

				".yp_get_slider_markup(
					'border-bottom-left-radius',
					'گردی حاشیه پایین-چپ',
					'',
					"1",        // steps
					'0,50',   // px value
					'0,50',  // percentage value
					'0,6',     // Em value
					'گردی حاشیه پایین-چپ'
				)."
				
				".yp_get_slider_markup(
					'border-bottom-right-radius',
					'گردی حاشیه پایین-راست',
					'',
					"1",        // steps
					'0,50',   // px value
					'0,50',  // percentage value
					'0,6',     // Em value
					'گردی حاشیه پایین-راست'
				)."
				
			</div>
		</li>
		
		<li class='position-option'>
			<h3>موقعیت</h3>
			<div class='yp-this-content'>

				".yp_get_slider_markup(
					'z-index',
					'Z Index',
					"auto",
					1,        // steps
					'-10,1000',   // px value
					'-10,1000',  // percentage value
					'-10,1000',     // Em value
					'ترتیب نمایش المان را مشخص نمایید. توجه داشته باشید که این موردفقط برای پوزیشن های ریلیتیو . ابسلوت.فیکس کار می کند'
				)."	
				
				".yp_get_radio_markup(
					'position',
					'موقعیت دهی',
					array(
						'static' => 'static',
						'relative' => 'relative',
						'absolute' => 'absolute',
						'fixed' => 'fixed',
						'sticky' => 'sticky'
					),
					"",
					'کدام پوزیشن برای عنصر درنظر گرفته شود.'
					
				)."
				
				".yp_get_slider_markup(
					'top',
					'بالا',
					"auto",
					1,        // steps
					'-200,400',   // px value
					'0,100',  // percentage value
					'-12,12',     // Em value
					'For absolutely: positioned elements, the top property sets the top edge of an element to a unit above/below the top edge of its containing element.<br><br>For relatively: positioned elements, the top property sets the top edge of an element to a unit above/below its normal position.'
				)."

				".yp_get_slider_markup(
					'left',
					'چپ',
					"auto",
					1,        // steps
					'-200,400',   // px value
					'0,100',  // percentage value
					'-12,12',     // Em value
					'For absolutely: positioned elements, the left property sets the left edge of an element to a unit to the left/right of the left edge of its containing element.<br><br>For relatively: positioned elements, the left property sets the left edge of an element to a unit to the left/right to its normal position.'
				)."

				".yp_get_slider_markup(
					'bottom',
					'پایین',
					"auto",
					1,        // steps
					'-200,400',   // px value
					'0,100',  // percentage value
					'-12,12',     // Em value
					'For absolutely: positioned elements, the bottom property sets the bottom edge of an element to a unit above/below the bottom edge of its containing element.<br><br>For relatively: positioned elements, the bottom property sets the bottom edge of an element to a unit above/below its normal position.'
				)."
				
				".yp_get_slider_markup(
					'right',
					'راست',
					"auto",
					1,        // steps
					'-200,400',   // px value
					'0,100',  // percentage value
					'-12,12',     // Em value
					'For absolutely: positioned elements, the right property sets the right edge of an element to a unit to the left/right of the right edge of its containing element.<br><br>For relatively: positioned elements, the right property sets the right edge of an element to a unit to the left/right to its normal position.'
				)."
				
			</div>
		</li>
		
		<li class='size-option'>
			<h3>اندازه</h3>
			<div class='yp-this-content'>
			
				".yp_get_slider_markup(
					'width',
					'پهنا',
					"auto",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',     // Em value
					'پهنای المان را مشخص نمایید.'
				)."
				
				".yp_get_slider_markup(
					'height',
					'ارتفاع',
					"auto",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',     // Em value
					'ارتفاع المان را تعیین نمایید'
				)."

				".yp_get_radio_markup(
					'box-sizing',
					'Box Sizing',
					array(
						'border-box' => 'border',
						'content-box' => 'content'
					),
					false,
					'Defines how the width and height of an element are calculated: should they include padding and borders, or not.'
				)."
				
				".yp_get_slider_markup(
					'min-width',
					'حداقل پهنا',
					"initial",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',     // Em value
					'حداقل پهنا'
				)."

				".yp_get_slider_markup(
					'max-width',
					'حداکثر پهنا',
					"none",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',     // Em value
					'حداکثر پهنا'
				)."

				".yp_get_slider_markup(
					'min-height',
					'حداقل ارتفاع',
					"initial",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',    // Em value
					'حداقل ارتفاع'
				)."
				
				".yp_get_slider_markup(
					'max-height',
					'حداکثر ارتفاع',
					"none",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',     // Em value
					'حداکثر ارتفاع'
				)."
				
				
			</div>
		</li>

		<li class='flex-option'>
			<h3>فلکس باکس</h3>
			<div class='yp-this-content'>

				".yp_get_select_markup(
					'flex-direction',
					'Flex جهت',
					array(
						'row' => 'ردیف',
						'row-reverse' => 'ردیف-برعکس',
						'column' => 'ستون',
						'column-reverse' => 'ستون-برعکس'
					),
					"",
					'جهت آیتم های فلکس باکس را تعیین نمایید.'
				)."

				".yp_get_radio_markup(
					'flex-wrap',
					'Flex دربرگیرنده',
					array(
						'nowrap' => 'nowrap',
						'wrap' => 'wrap',
						'wrap-reverse' => 'wrap-reverse'
					),
					'',
					'مشخص نمایید که آیا عناصر فلکس باید در دربرگیرنده ای قرار گیرند یا خیر.'
					
				)."

				".yp_get_select_markup(
					'justify-content',
					'تراز کردن محتوا',
					array(
						'normal' => 'normal',
						'flex-start' => 'flex-start',
						'flex-end' => 'flex-end',
						'center' => 'center',
						'space-between' => 'space-between',
						'space-around' => 'space-around',
					),
					"",
					'Aligns the flexible container&#39;s items when the items do not use all available space on the main-axis (horizontally).'
				)."


				".yp_get_select_markup(
					'align-items',
					'جهت گیر آیتم ها ',
					array(
						'normal' => 'normal',
						'stretch' => 'stretch',
						'center' => 'center',
						'flex-start' => 'flex-start',
						'flex-end' => 'flex-end',
						'baseline' => 'baseline',
					),
					"",
					'جهت گیری پیشفرض را برای عناصری که داخل دربرگیرنده فلکس هستند را مشخص می کند.'
				)."

				".yp_get_select_markup(
					'align-content',
					'جهتگیری محتوا',
					array(
						'normal' => 'normal',
						'stretch' => 'stretch',
						'center' => 'center',
						'flex-start' => 'flex-start',
						'flex-end' => 'flex-end',
						'space-between' => 'space-between',
						'space-around' => 'space-around',
					),
					"",
					'Modifies the behavior of the flex-wrap property. It is similar to align-items, but instead of aligning flex items, it aligns flex lines.'
				)."

				".yp_get_select_markup(
					'align-self',
					'Align Self',
					array(
						'auto' => 'auto',
						'stretch' => 'stretch',
						'center' => 'center',
						'flex-start' => 'flex-start',
						'flex-end' => 'flex-end',
						'baseline' => 'baseline',
					),
					"",
					'Specifies the alignment for the selected item inside the flexible container.'
				)."

				".yp_get_slider_markup(
					'flex-grow',
					'Grow',
					'',
					1,        // steps
					'0,20',   // px value
					'0,20',  // percentage value
					'0,20',     // Em value
					'Specifies how much the item will grow relative to the rest of the flexible items inside the same container.'
				)."

				".yp_get_slider_markup(
					'flex-shrink',
					'Shrink',
					'',
					1,        // steps
					'0,20',   // px value
					'0,20',  // percentage value
					'0,20',     // Em value
					'Specifies how the item will shrink relative to the rest of the flexible items inside the same container.'
				)."

				".yp_get_slider_markup(
					'flex-basis',
					'Basis',
					"auto",
					1,        // steps
					'0,500',   // px value
					'0,100',  // percentage value
					'0,52',     // Em value
					'Specifies the initial length of a flexible item.'
				)."

			</div>
		</li>

		<li class='grid-option'>
			<h3>گرید</h3>
			<div class='yp-this-content'>

				".yp_grid_builder(
					'grid-template-columns',
					'ستون های قالب گرید',
					'تعداد ستون ها در یک گرید را مشخص می نماید.'
				)."

				".yp_grid_builder(
					'grid-template-rows',
					'ردیف های قالب گرید',
					'تعداد ردیف ها در یک گرید را مشخص می نماید.'
				)."

				<div class='option-group-class'>
				".yp_get_select_markup(
					'justify-items',
					'همترازی آیتم ها ',
					array(
						'stretch' => 'stretch',
						'center' => 'center',
						'start' => 'start',
						'end' => 'end'
					),
					"",
					'نحوه چیدمان موارد به صورت افقی در هر ستون را تعریف می کند.'
				)."

				".yp_get_select_markup(
					'align-items',
					'جهتگیری آیتم ها ',
					array(
						'stretch' => 'کشیده',
						'center' => 'مرکزی',
						'start' => 'شروع',
						'end' => 'پایان'
					),
					"",
					'نحوه چیدمان موارد به صورت عمودی در هر سطر را تعریف می کند.'
				)."
				</div>

				".yp_get_slider_markup(
					'grid-column-gap',
					'فاصله ستون گرید',
					'normal',
					1,        // steps
					'0,100',   // px value
					'0,100',  // percentage value
					'0,100',     // Em value
					'اندازه شکاف ستون ها را در یک طرح شبکه مشخص می کند.'
				)."

				".yp_get_slider_markup(
					'grid-row-gap',
					'فاصله ردیف گرید',
					'normal',
					1,        // steps
					'0,100',   // px value
					'0,100',  // percentage value
					'0,100',     // Em value
					'اندازه شکاف بین ردیف ها را در یک طرح شبکه مشخص می کند.'
				)."

			</div>
		</li>
		
		<li class='lists-option'>
			<h3>لیست ها</h3>
			<div class='yp-this-content'>

				".yp_get_select_markup(
					'list-style-type',
					'List Style Type'
					,array(
						'none' => 'ساده',
						'disc' => 'دیسکی',
						'circle' => 'دایره ای',
						'decimal' => 'عددی',
						'lower-alpha' => 'حروف کوچک',
						'upper-alpha' => 'حروف بزرگ',
						'upper-roman' => 'رومی'
					),
					"",
					'نوع استایل لیست را مشخص می کند'
				)."

				".yp_get_input_markup(
					'list-style-image',
					'تصویر استایل لیست',
					'نوع تصویر استایل لیست را مشخص می کند'
				)."

				".yp_get_radio_markup(
					'list-style-position',
					'پوزیشن استایل لیست',
					array(
						'inside' => 'داخل',
						'outside' => 'خارج'
					),
					"",
					'تعیین کنید که مارکدهای لیست در داخل یا خارج از گردش محتوا قرار گیرند.'
				)."	

			</div>
		</li>

		<li class='animation-option'>
			<h3>انیمیشن <span class='yp-badge yp-anim-recording'>ضبط</span></h3>
			<div class='yp-this-content'>
				
				";

				// Dev Animation Tools Filter
				$filter_animation_tools = apply_filters( 'yp_animation_tools', TRUE);

				// If animation Generator Open
				if($filter_animation_tools){
					echo "<a class='yp-advanced-link yp-just-desktop yp-add-animation-link'>ایجاد انیمیشن</a>";
				}

				// Default animations
				$animations = array(

					'none' => ['none', 'basic'],
					'pulse' => ['pulse', 'basic'],
					'push' => ['push', 'basic'],
					'bob' => ['bob', 'basic'],
					'pop' => ['pop', 'basic'],

					'bounce' => ['bounce', 'common'],
					'flash' => ['flash', 'common'],
					'rubberBand' => ['rubberBand', 'common'],
					'shake' => ['shake', 'common'],
					'swing' => ['swing', 'common'],
					'tada' => ['tada', 'common'],
					'wobble' => ['wobble', 'common'],
					'wobble-horizontal' => ['wobble-horizontal', 'common'],
					'jello' => ['jello', 'common'],
					'heartBeat' => ['heartBeat', 'common'],
					'spin' => ['spin', 'common'],

					'bounceIn' => ['bounceIn', 'bounce'],
					'bounceInDown' => ['bounceInDown', 'bounce'],
					'bounceInLeft' => ['bounceInLeft', 'bounce'],
					'bounceInRight' => ['bounceInRight', 'bounce'],
					'bounceInUp' => ['bounceInUp', 'bounce'],

					'fadeIn' => ['fadeIn', 'fade'],
					'fadeInDown' => ['fadeInDown', 'fade'],
					'fadeInDownBig' => ['fadeInDownBig', 'fade'],
					'fadeInLeft' => ['fadeInLeft', 'fade'],
					'fadeInLeftBig' => ['fadeInLeftBig', 'fade'],
					'fadeInRight' => ['fadeInRight', 'fade'],
					'fadeInRightBig' => ['fadeInRightBig', 'fade'],
					'fadeInUp' => ['fadeInUp', 'fade'],
					'fadeInUpBig' => ['fadeInUpBig', 'fade'],

					'flip' => ['flip', 'flip'],
					'flipInX' => ['flipInX', 'flip'],
					'flipInY' => ['flipInY', 'flip'],
					'flipOutX' => ['flipOutX', 'flip'],
					'flipOutY' => ['flipOutY', 'flip'],

					'rotateIn' => ['rotateIn', 'rotate'],
					'rotateInDownLeft' => ['rotateInDownLeft', 'rotate'],
					'rotateInDownRight' => ['rotateInDownRight', 'rotate'],
					'rotateInUpLeft' => ['rotateInUpLeft', 'rotate'],
					'rotateInUpRight' => ['rotateInUpRight', 'rotate'],

					'slideInUp' => ['slideInUp', 'slide'],
					'slideInDown' => ['slideInDown', 'slide'],
					'slideInLeft' => ['slideInLeft', 'slide'],
					'slideInRight' => ['slideInRight', 'slide'],

					'zoomIn' => ['zoomIn', 'zoom'],
					'zoomInDown' => ['zoomInDown', 'zoom'],
					'zoomInLeft' => ['zoomInLeft', 'zoom'],
					'zoomInRight' => ['zoomInRight', 'zoom'],
					'zoomInUp' => ['zoomInUp', 'zoom'],

					'spaceInUp' => ['spaceInUp', 'space'],
					'spaceInRight' => ['spaceInRight', 'space'],
					'spaceInDown' => ['spaceInDown', 'space'],
					'spaceInLeft' => ['spaceInLeft', 'space'],

					'hinge' => ['hinge', 'others'],
					'jackInTheBox' => ['jackInTheBox', 'others'],
					'rollIn' => ['rollIn', 'others'],
					'lightSpeedIn' => ['lightSpeedIn', 'others']

				);

				// Add dynamic animations.
				$all_options =  wp_load_alloptions();
				foreach($all_options as $name => $value){
					if(stristr($name, 'yp_anim')){
						$name = str_replace("yp_anim_", "", $name);
						$animations[$name] = array(ucwords(strtolower($name)), "my animations");
					}
				}
				
				echo " ".yp_get_select_markup(
					'animation-name',
					'انیمیشن',
					$animations,
					"",
					'به عنصر انیمیشن اضافه می نماید.'
				)."
				
				<div class='option-group-class'>
				".yp_get_select_markup(
					'animation-play',
					'شرط',
					array(
						'yp_onscreen' => 'روی صفحه',
						'yp_hover' => 'هاور موس',
						'yp_click' => 'کلیک',
						'yp_focus' => 'فوکوس'
					),
					'',
					''
				)."
				
				".yp_get_select_markup(
					'animation-iteration-count',
					'تکرار انیشمیشن',
					array(
						'1' => '1',
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'infinite' => 'بینهایت'
					),
					'',
										'تعداد دفعاتی که یک انیمیشن باید بازی کند تعیین می کند.
'
				)."
				</div>

				".yp_get_slider_markup(
					'animation-duration',
					'مدت انیشمیشن',
					'',
					0.01,        // steps
					'0,3',   // px value
					'0,3',   // percentage value
					'0,3',   // Em/ms value
						'تعریف می کند که چه مدت یک انیمیشن باید برای تکمیل یک چرخه انجام دهد.
',
					's,ms'
				)."

				".yp_get_slider_markup(
					'animation-delay',
					'تاخیر انیشمیشن',
					'',
					0.01,        // steps
					'0,3',   // px value
					'0,3',  // percentage value
					'0,3',     // Em/ms value
					'تاخیری برای شروع انیمیشن در نظر می گیرد.',
					's,ms'
				)."

				".yp_get_radio_markup(
					'animation-fill-mode',
					'حالت FILL انیمیشن',
					array(
						'none' => 'none',
						'forwards' => 'forwards',
						'backwards' => 'backwards',
						'both' => 'both',
					),
					"",
																									'هنگامی که انیمیشن در حال اجرا نیست، حالت انیمیشن پایان را تعیین می کند.
'
				)."		
				
			</div>
		</li>
		
		<li class='box-shadow-option'>
			<h3>جعبه سایه </h3>
			<div class='yp-this-content'>

				".yp_get_radio_markup(
					'box-shadow-inset',
					'موقعیت',
					array(
						'no' => 'خارج',
						'inset' => 'داخل'
					),
					false,
					'تعریف نمایید که سایه کدام یک از دو گزینه است.'
				)."
			
				".yp_get_color_markup(
					'box-shadow-color',
					'رنگ',
					'رنگ سایه را مشخص نمایید.'
				)."
				
				".yp_get_slider_markup(
					'box-shadow-blur-radius',
					'گردی محو شدگی',
					'',
					1,        	// steps
					'0,50',   // px value
					'0,50',  // percentage value
					'0,50',     // Em value
					'گردی محو شدگی'
				)."
				
				".yp_get_slider_markup(
					'box-shadow-spread',
					'توسعه سایه',
					'',
					1,        	// steps
					'-50,100',   // px value
					'-50,100',  // percentage value
					'-50,100',     // Em value
					'توسعه سایه'
				)."

				".yp_get_slider_markup(
					'box-shadow-horizontal',
					'طول افقی',
					'',
					1,        // steps
					'-50,50',   // px value
					'-50,50',  // percentage value
					'-50,50',     // Em value
					'طول افقی سایه را مشخص نمایید.'
				)."
				
				".yp_get_slider_markup(
					'box-shadow-vertical',
					'طول عمودی',
					'',
					1,        	// steps
					'-50,50',   // px value
					'-50,50',  // percentage value
					'-50,50',     // Em value
					'طول عمودی سایه را مشخص نمایید.'
				)."

			</div>
		</li>
		
		<li class='extra-option'>
			<h3>اضافی</h3>
			<div class='yp-this-content'>";


				// Transition CSS Filter
			    $transition_status = apply_filters( 'yp_property__transition', TRUE);

			    // Transition is valid
			    if($transition_status){

				    echo "<a class='yp-advanced-link yp-transition-link'>انتقال</a>
					<div class='yp-advanced-option'>

					".yp_get_select_markup(
						'transition-property',
						'نوع',
						'transition-properties.json',
						"",
						'
نام خاصیت CSS را برای تأثیر گذار مشخص می کند (وقتی تغییر خاصیت CSS تغییر یابد اثر انتقال شروع می شود).'
					)."

					".yp_get_slider_markup(
						'transition-duration',
						'مدت انتقال',
						'',
						0.01,        // steps
						'0,2',   // px value
						'0,2',   // percentage value
						'0,2',   // Em/ms value
						'مشخص می کند که  یک افکت انتقال چه مدت طول می کشد تا تکمیل گردد؟',
						's,ms'
					)."

					".yp_get_select_markup(
						'transition-timing-function',
						'سهولت',
						array(
							'ease' => 'ease',
							'linear' => 'linear',
							'ease-in' => 'ease-in',
							'ease-out' => 'ease-out',
							'ease-in-out' => 'ease-in-out'							
						),
						"",
						'منحنی سرعت اثر گذار را مشخص می کند.'
					)."

					</div>";

				}


				// Filter CSS Filter
			    $filter_status = apply_filters( 'yp_property__filter', TRUE);

			    // Filter is valid
			    if($filter_status){

				    echo "<a class='yp-advanced-link yp-filter-link'>فیلترها</a>
					<div class='yp-advanced-option'>

					".yp_get_slider_markup(
						'blur-filter',
						'محوشدگی',
						'',
						0.01,        // steps
						'0,10',   // px value
						'0,10',  // percentage value
						'0,10',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'brightness-filter',
						'درخشندگی',
						'',
						0.01,        // steps
						'0,10',   // px value
						'0,10',  // percentage value
						'0,10',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'grayscale-filter',
						'مقیاس خاکستری',
						'',
						0.01,        // steps
						'0,1',   // px value
						'0,1',  // percentage value
						'0,1',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'contrast-filter',
						'کنتراست',
						'',
						0.01,        // steps
						'0,10',   // px value
						'0,10',  // percentage value
						'0,10',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'hue-rotate-filter',
						'Hue Rotate',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'saturate-filter',
						'Saturate',
						'',
						0.01,        // steps
						'0,10',   // px value
						'0,10',  // percentage value
						'0,10',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'sepia-filter',
						'Sepia',
						'',
						0.01,        // steps
						'0,1',   // px value
						'0,1',  // percentage value
						'0,1',     // Em value
						""
					)."

					</div>";

				}

				// Transform CSS Filter
			    $transform_status = apply_filters( 'yp_property__transform', TRUE);

			    // Transform is valid
			    if($transform_status){

				    echo "<a class='yp-advanced-link yp-transform-link'>انتقالات</a>
					<div class='yp-advanced-option'>
					".yp_get_slider_markup(
						'scale-transform',
						'مقیاس',
						'',
						0.01,        // steps
						'0,5',   // px value
						'0,5',  // percentage value
						'0,5',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'rotate-transform',
						'چرخش',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."

					".yp_get_slider_markup(
						'rotatex-transform',
						'چرخش X',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."

					".yp_get_slider_markup(
						'rotatey-transform',
						'چرخش Y',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."

					".yp_get_slider_markup(
						'rotatez-transform',
						'چرخش Z',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'translate-x-transform',
						'انتقال X',
						'',
						1,        // steps
						'-50,50',   // px value
						'-50,50',  // percentage value
						'-50,50',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'translate-y-transform',
						'انتقال Y',
						'',
						1,        // steps
						'-50,50',   // px value
						'-50,50',  // percentage value
						'-50,50',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'skew-x-transform',
						'Skew X',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."
					
					".yp_get_slider_markup(
						'skew-y-transform',
						'skew Y',
						'',
						1,        // steps
						'0,360',   // px value
						'0,360',  // percentage value
						'0,360',     // Em value
						""
					)."

					".yp_get_slider_markup(
						'perspective',
						'پرسپکتیو',
						'',
						1,        // steps
						'0,1000',   // px value
						'0,100',  // percentage value
						'0,62',     // Em value
						""
					)."

					</div>";

				}
				
				
				echo "".yp_get_slider_markup(
					'opacity',
					'شفافیت',
					'',
					0.01,       // steps
					'0,1',   // px value
					'0,1',  // percentage value
					'0,1',     // Em value
					'Sets the opacity level for an element.'
				)."

				".yp_get_radio_markup(
					'visibility',
					'قابلیت دیده شدن',
					array(
						'visible' => '<span class="dashicons dashicons-visibility"></span>',
						'hidden' => '<span class="dashicons dashicons-hidden"></span>'
					),
					"",
																									'مشخص می کند که عنصر قابل مشاهده است یا خیر
'
				)."

				".yp_get_select_markup(
					'display',
					'نمایش',
					array(
						'block' => 'block',
						'flex' => 'flex',
						'grid' => 'grid',
						'inline' => 'inline',
						'inline-block' => 'inline-block',
						'inline-flex' => 'inline-flex',
						'inline-grid' => 'inline-grid',
						'table-cell' => 'table-cell',
						'none' => 'none',
					),
					"",
					'Specifies the type of box used for an element.'
				)."

				<div class='option-group-class'>
				".yp_get_select_markup(
					'cursor',
					'نشانه گر موس',
					array(
						'auto' => 'auto',
						'alias' => 'alias',
						'all-scroll' => 'All Scroll',
						'copy' => 'Copy',
						'crosshair' => 'CrossHair',
						'grab' => 'Grab',
						'grabbing' => 'Grabbing',
						'help' => 'Help',
						'not-allowed' => 'Not Allowed',
						'pointer' => 'Pointer',
						'progress' => 'Progress',
						'text' => 'Text',
						'wait' => 'Wait',
						'zoom-in' => 'Zoom In',
						'zoom-out' => 'Zoom Out'
					),
					"",
					'نشانه گر موس را مشخص می کند که چه علامتی داشته باشد.'
				)."

				".yp_get_radio_markup(
					'pointer-events',
					'رویداد های موس',
					array(
						'auto' => 'خدکار',
						'none' => 'ساده'
					),
					"",
										'در شرایطی که (در صورت وجود) مشخص می شود یک عنصر گرافیکی خاص می تواند به هدف رویدادهای ماوس تبدیل شود.
'
				)."
				</div>

				<div class='option-group-class'>
				".yp_get_radio_markup(
					'float',
					'شناوربودن',
					array(
						'none' => 'ساده',
						'left' => 'چپ',
						'right' => 'راست'
					),
					"",
					'چگونگی شناور یک عنصر را مشخص می کند
.'
				)."

				".yp_get_radio_markup(
					'clear',
					'Clear',
					array(
						'none' => 'ساده',
						'both' => 'هردو'
					),
					"",
					'این مورد شناور بودن یک عنصر را قطع می کند.'
				)."
				</div>

				".yp_get_radio_markup(
					'direction',
					'جهت متن',
					array(
						'ltr' => '<span class="dashicons dashicons-editor-ltr"></span>',
						'rtl' => '<span class="dashicons dashicons-editor-rtl"></span>'
					),
					"",
					'جهت متن را برای زبان های مختلف دنیا نمایش می دهد.'
				)."
				
				".yp_get_radio_markup(
					'overflow-x',
					'Overflow Horizontal',
					array(
						'visible' => 'قابل مشاهده',
						'hidden' => 'مخفی',
						'scroll' => 'اسکرول',
						'auto' => 'خودکار'
					),
					"",
																				'تعیین می کند که چه کاری را با لبه های سمت چپ / محتوا انجام می دهد - اگر آن قسمت محتوای محتوا را سرریز کند.
'
				)."
				
				".yp_get_radio_markup(
					'overflow-y',
					'Overflow Vertical',
					array(
						'visible' => 'قابل مشاهده',
						'hidden' => 'مخفی',
						'scroll' => 'اسکرول',
						'auto' => 'خودکار'
					),
					"",
					''
				)."
				
				
			</div>

		</li>
			
	</ul>";

?>